- Main Page
- Namespaces
- Classes
- Files
- Examples

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Exiv2::Nikon3MnHeader Class Reference

Header of a Nikon 3 Makernote. More...

`#include <makernote2.hpp>`

Inheritance diagram for Exiv2::Nikon3MnHeader:

[legend]
Collaboration diagram for Exiv2::Nikon3MnHeader:

[legend]
List of all members.

## Public Member Functions
Creators
| Nikon3MnHeader ()
| Default constructor.
virtual | ~Nikon3MnHeader ()
| Virtual destructor.
Manipulators
virtual bool | read (const byte *pData, uint32_t size, ByteOrder byteOrder)
| Read the header from a data buffer, return true if ok.
Accessors
virtual uint32_t | size () const
| Return the size of the header (in bytes).
virtual uint32_t | ifdOffset () const
| Return the offset to the start of the Makernote IFD from the start of the Makernote (= the start of the header).
virtual ByteOrder | byteOrder () const
| Return the byte order for the makernote. If the return value is invalidByteOrder, this means that the byte order of the the image should be used for the makernote.
virtual uint32_t | baseOffset (uint32_t mnOffset) const
| Return the base offset for the makernote IFD entries relative to the start of the TIFF header.

## Detailed Description

Header of a Nikon 3 Makernote.

## Member Function Documentation

virtual uint32_t Exiv2::Nikon3MnHeader::baseOffset | ( | uint32_t | mnOffset | ) | const`[inline, virtual]`

  | Return the base offset for the makernote IFD entries relative to the start of the TIFF header. Parameters:
  | mnOffset | Offset to the makernote from the start of the TIFF header.
Reimplemented from Exiv2::MnHeader.

The documentation for this class was generated from the following files:

- makernote2.hpp
- makernote2.cpp